Package org.apache.solr.common.params

# Interface CommonAdminParams

public interface CommonAdminParams

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASYNC`
Async or not? *
`static final String`
`IN_PLACE_MOVE`
Allow in-place move of replicas that use shared filesystems.
`static final String`
`NUM_SUB_SHARDS`
Number of sub-shards to create.
`static final String`
`SPLIT_BY_PREFIX`
Check distribution of documents to prefixes in shard to determine how to split
`static final String`
`SPLIT_FUZZ`
Inexact shard splitting factor.
`static final String`
`SPLIT_KEY`
Key to use during shard splitting
`static final String`
`SPLIT_METHOD`
Method to use for shard splitting.
`static final String`
`TIMEOUT`
Timeout for replicas to become active.
`static final String`
`WAIT_FOR_FINAL_STATE`
Deprecated.

## Field Details

### ASYNC

static final String ASYNC
Async or not? *

See Also:
  - Constant Field Values

### WAIT_FOR_FINAL_STATE

@Deprecated(since="9.10") static final String WAIT_FOR_FINAL_STATE
Deprecated.
Wait for final state of the operation.

See Also:
  - Constant Field Values

### IN_PLACE_MOVE

static final String IN_PLACE_MOVE
Allow in-place move of replicas that use shared filesystems.

See Also:
  - Constant Field Values

### SPLIT_METHOD

static final String SPLIT_METHOD
Method to use for shard splitting.

See Also:
  - Constant Field Values

### SPLIT_KEY

static final String SPLIT_KEY
Key to use during shard splitting

See Also:
  - Constant Field Values

### SPLIT_BY_PREFIX

static final String SPLIT_BY_PREFIX
Check distribution of documents to prefixes in shard to determine how to split

See Also:
  - Constant Field Values

### NUM_SUB_SHARDS

static final String NUM_SUB_SHARDS
Number of sub-shards to create. *

See Also:
  - Constant Field Values

### TIMEOUT

static final String TIMEOUT
Timeout for replicas to become active.

See Also:
  - Constant Field Values

### SPLIT_FUZZ

static final String SPLIT_FUZZ
Inexact shard splitting factor.

See Also:
  - Constant Field Values